name := "coffee-script"

logLevel := Level.Debug

seq(jsSettings : _*)

(resourceManaged in (Compile, JsKeys.js)) <<= (target in Compile) { _ / "scripted" }

JsKeys.coffeeBare in Compile := true

JsKeys.coffeeVersion in Compile := CoffeeVersion.Coffee110

InputKey[Unit]("contents") <<= inputTask { (argsTask: TaskKey[Seq[String]]) =>
  (argsTask, streams) map { (args, out) =>
    args match {
      case Seq(actual, expected) =>
        if(IO.read(file(actual)).trim.equals(IO.read(file(expected)).trim)) {
          out.log.debug("Contents match")
        } else {
          error("\nContents of %s\n%s\ndoes not match %s\n%s\n".format(
                actual,
                IO.read(file(actual)),
                expected,
                IO.read(file(expected))))
        }
    }
  }
}
